#!/usr/bin/env php
<?php
namespace Fgm\ComposerCheck;

require_once __DIR__ . '/../vendor/autoload.php';

// TODO use options.
$all = FALSE;
$useYaml = TRUE;

$factory = new LoaderFactory(__DIR__ . '/..', $all);

$requirementsLoader = $factory->createLoader('requirements');
$requirementsLoader->load();

$lockLoader = $factory->createLoader('lock');
$lockLoader->load();

$merger = new MergeBox($requirementsLoader, $lockLoader, $all);
$merger->merge();

$reporter = $useYaml ? new YamlReporter() : new JsonReporter();
echo $reporter->report($merger);
